//############################################################################//
//Project Frontier                                                            //
//ZeRG vessel header                                                          //
//Copyright 2006 Frontier team                                                //
//############################################################################//
#define STRICT
#define ORBITER_MODULE

#include "orbitersdk.h"
#include "OrbiterSoundSDK3.h"

const double ZERG_FUELMASS= 350000.0;
const double ZERG_ISP=      6.25e6;
const double ZERG_MAXMAINTH=5.5e7;
const double ZERG_MAXRCSTH= 3e6;

class ZERG:public VESSEL2{
public:
  ZERG(OBJHANDLE hVessel,int flightmodel):VESSEL2(hVessel,flightmodel){}
 void clbkSetClassCaps(FILEHANDLE cfg);
 void clbkPreStep(double simt,double simdt,double mjd);
 void clbkPostCreation(void);
 void clbkLoadStateEx(FILEHANDLE scn,void *vs);
 void clbkSaveState(FILEHANDLE scn);
 int osnd;
 int cscn,scns;	

 THRUSTER_HANDLE th_main,th_hover,th_rcs[14],th_group[4];
 DOCKHANDLE dh_docks[3];	      
 PROPELLANT_HANDLE hpr;
};
